summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorRich Salz <rsalz@openssl.org>2016-05-23 15:02:34 -0400
committerRich Salz <rsalz@openssl.org>2016-05-23 15:04:23 -0400
commit0cd0a820abc6124cf8e176fa92d620a2abf9e419 (patch)
treec4eb13c39e7b280de486b86ac4721c9442e0cbf9 /util
parentf65a8c1e66f43b642d5d1709a933615aac62cebd (diff)
Remove unused error/function codes.
Add script to find unused err/reason codes Remove unused reason codes. Remove entries for unused functions Reviewed-by: Matt Caswell <matt@openssl.org>
Diffstat (limited to 'util')
-rwxr-xr-xutil/find-unused-errs31
1 files changed, 31 insertions, 0 deletions
diff --git a/util/find-unused-errs b/util/find-unused-errs
new file mode 100755
index 0000000000..d36789ef6f
--- /dev/null
+++ b/util/find-unused-errs
@@ -0,0 +1,31 @@
+#! /bin/bash
+# Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.
+#
+# Licensed under the OpenSSL license (the "License"). You may not use
+# this file except in compliance with the License. You can obtain a copy
+# in the file LICENSE in the source distribution or at
+# https://www.openssl.org/source/license.html
+
+# Find unused error function-names and reason-codes, and edit them
+# out of the source. Doesn't handle line-wrapping, might have to do
+# some manual cleanups to fix compile errors.
+
+export X1=/tmp/f.1.$$
+export X2=/tmp/f.2.$$
+
+cd include/openssl || exit 1
+grep '_[RF]_' * | awk '{print $3;}' | sort -u >$X1
+cd ../..
+
+for F in `cat $X1` ; do
+ git grep -l --full-name -F $F >$X2
+ NUM=`wc -l <$X2`
+ test $NUM -gt 2 && continue
+ echo $F
+ for FILE in `cat $X2` ; do
+ grep -v -w $F <$FILE >$FILE.new
+ mv $FILE.new $FILE
+ done
+done
+
+rm $X1 $X2